Subject: Re: bug#50186: Shell in emacs very annoying using zsh

From: Eduardo Ochs <[email-masked]>
Date: Sat, 28 Aug 2021 13:28:00 -0300

Zsh is one of the programs that I need to run with
`comint-process-echoes' set to t in the comint buffer...

?ηÉ/orbitingflea, can you define these two functions,

  (defun det () (interactive) (setq comint-process-echoes t))
  (defun den () (interactive) (setq comint-process-echoes nil))

and then use Zsh a bit with comint-process-echoes set to true and a
bit with comint-process-echoes set to nil - use `M-x det' and `M-x
den' to change the value - to see if something changes?

  [[]],
    Eduardo Ochs
    http://angg.twu.net/#eev

On Sat, 28 Aug 2021 at 13:06, ���ηÉ via Bug reports for GNU Emacs, the
Swiss army knife of text editors <[email-masked]> wrote:

> Hello Juri,
>
> > Actually, I see no problems with multi-line prompts in Emacs.
> > I tried to use "\n" in PS1 in bash, and then run M-x shell.
> > No problems noticed :)
>
> Wow! That's surprising to me.
> Maybe I should show my zsh config file that generating this bug:
>
> export ZSH="/home/friend/.oh-my-zsh"
> ZSH_THEME="ys"
> plugins=(git)
> source $ZSH/oh-my-zsh.sh
> export DISPLAY=`cat /etc/resolv.conf | grep nameserver | awk '{print
> $2}'`:0.0
> export PATH="/home/friend/.local/bin:$PATH"
>
> Here I used "ys" theme of oh-my-zsh, and it has multi-line prompt.
> By the way, I tested bash with multi-line prompt, as you said. No problem.
> So the problem comes from zsh?
>